#!/bin/sh
( cd usr/lib ; rm -rf liblber.so )
( cd usr/lib ; ln -sf liblber-2.4.so.2.5.4 liblber.so )
( cd usr/lib ; rm -rf liblber-2.4.so.2 )
( cd usr/lib ; ln -sf liblber-2.4.so.2.5.4 liblber-2.4.so.2 )
( cd usr/lib ; rm -rf libldap.so )
( cd usr/lib ; ln -sf libldap-2.4.so.2.5.4 libldap.so )
( cd usr/lib ; rm -rf libldap-2.4.so.2 )
( cd usr/lib ; ln -sf libldap-2.4.so.2.5.4 libldap-2.4.so.2 )
( cd usr/lib ; rm -rf libldap_r.so )
( cd usr/lib ; ln -sf libldap_r-2.4.so.2.5.4 libldap_r.so )
( cd usr/lib ; rm -rf libldap_r-2.4.so.2 )
( cd usr/lib ; ln -sf libldap_r-2.4.so.2.5.4 libldap_r-2.4.so.2 )
( cd usr/bin ; rm -rf ldapadd )
( cd usr/bin ; ln -sf ldapmodify ldapadd )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/openldap/ldap.conf.new

